ProjectDelegate (Ant Contrib)
Keywords: net.sf.antcontrib.logic.ProjectDelegate class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.logic
Class ProjectDelegate

    java.lang.Object
      org.apache.tools.ant.Project
          net.sf.antcontrib.logic.ProjectDelegate

    public class ProjectDelegate

extends org.apache.tools.ant.Project

Field Summary

Fields inherited from class org.apache.tools.ant.Project
`JAVA_1_0, JAVA_1_1, JAVA_1_2, JAVA_1_3, JAVA_1_4, MSG_DEBUG, MSG_ERR, MSG_INFO, MSG_VERBOSE, MSG_WARN, TOKEN_END, TOKEN_START`

Constructor Summary
`ProjectDelegate(org.apache.tools.ant.Project delegate)`

Method Summary
`void` | `addBuildListener(org.apache.tools.ant.BuildListener arg0)`
`void` | `addDataTypeDefinition(java.lang.String arg0, java.lang.Class arg1)`
`void` | `addFilter(java.lang.String arg0, java.lang.String arg1)`
`void` | `addOrReplaceTarget(java.lang.String arg0, org.apache.tools.ant.Target arg1)`
`void` | `addOrReplaceTarget(org.apache.tools.ant.Target arg0)`
`void` | `addReference(java.lang.String arg0, java.lang.Object arg1)`
`void` | `addTarget(java.lang.String arg0, org.apache.tools.ant.Target arg1)`
`void` | `addTarget(org.apache.tools.ant.Target arg0)`
`void` | `addTaskDefinition(java.lang.String arg0, java.lang.Class arg1)`
`void` | `checkTaskClass(java.lang.Class arg0)`
`void` | `copyFile(java.io.File arg0, java.io.File arg1)`
`void` | `copyFile(java.io.File arg0, java.io.File arg1, boolean arg2)`
`void` | `copyFile(java.io.File arg0, java.io.File arg1, boolean arg2, boolean arg3)`
`void` | `copyFile(java.io.File arg0, java.io.File arg1, boolean arg2, boolean arg3, boolean arg4)`
`void` | `copyFile(java.lang.String arg0, java.lang.String arg1)`
`void` | `copyFile(java.lang.String arg0, java.lang.String arg1, boolean arg2)`
`void` | `copyFile(java.lang.String arg0, java.lang.String arg1, boolean arg2, boolean arg3)`
`void` | `copyFile(java.lang.String arg0, java.lang.String arg1, boolean arg2, boolean arg3, boolean arg4)`
`void` | `copyInheritedProperties(org.apache.tools.ant.Project arg0)`
`void` | `copyUserProperties(org.apache.tools.ant.Project arg0)`
`org.apache.tools.ant.AntClassLoader` | `createClassLoader(org.apache.tools.ant.types.Path arg0)`
`java.lang.Object` | `createDataType(java.lang.String arg0)`
`org.apache.tools.ant.Task` | `createTask(java.lang.String arg0)`
`int` | `defaultInput(byte[] arg0, int arg1, int arg2)`
`void` | `demuxFlush(java.lang.String arg0, boolean arg1)`
`int` | `demuxInput(byte[] arg0, int arg1, int arg2)`
`void` | `demuxOutput(java.lang.String arg0, boolean arg1)`
`boolean` | `equals(java.lang.Object arg0)`
`void` | `executeSortedTargets(java.util.Vector arg0)`
`void` | `executeTarget(java.lang.String arg0)`
`void` | `executeTargets(java.util.Vector arg0)`
`void` | `fireBuildFinished(java.lang.Throwable arg0)`
`void` | `fireBuildStarted()`
`void` | `fireSubBuildFinished(java.lang.Throwable arg0)`
`void` | `fireSubBuildStarted()`
`java.io.File` | `getBaseDir()`
`java.util.Vector` | `getBuildListeners()`
`java.lang.ClassLoader` | `getCoreLoader()`
`java.util.Hashtable` | `getDataTypeDefinitions()`
`java.io.InputStream` | `getDefaultInputStream()`
`java.lang.String` | `getDefaultTarget()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getElementName(java.lang.Object arg0)`
`org.apache.tools.ant.Executor` | `getExecutor()`
`java.util.Hashtable` | `getFilters()`
`org.apache.tools.ant.types.FilterSet` | `getGlobalFilterSet()`
`org.apache.tools.ant.input.InputHandler` | `getInputHandler()`
`java.lang.String` | `getName()`
`java.util.Hashtable` | `getProperties()`
`java.lang.String` | `getProperty(java.lang.String arg0)`
`java.lang.Object` | `getReference(java.lang.String arg0)`
`java.util.Hashtable` | `getReferences()`
`org.apache.tools.ant.Project` | `getSubproject()`
`java.util.Hashtable` | `getTargets()`
`java.util.Hashtable` | `getTaskDefinitions()`
`org.apache.tools.ant.Task` | `getThreadTask(java.lang.Thread arg0)`
`java.util.Hashtable` | `getUserProperties()`
`java.lang.String` | `getUserProperty(java.lang.String arg0)`
`int` | `hashCode()`
`void` | `init()`
`void` | `initSubProject(org.apache.tools.ant.Project arg0)`
`boolean` | `isKeepGoingMode()`
`void` | `log(java.lang.String arg0)`
`void` | `log(java.lang.String arg0, int arg1)`
`void` | `log(org.apache.tools.ant.Target arg0, java.lang.String arg1, int arg2)`
`void` | `log(org.apache.tools.ant.Task arg0, java.lang.String arg1, int arg2)`
`void` | `registerThreadTask(java.lang.Thread arg0, org.apache.tools.ant.Task arg1)`
`void` | `removeBuildListener(org.apache.tools.ant.BuildListener arg0)`
`java.lang.String` | `replaceProperties(java.lang.String arg0)`
`java.io.File` | `resolveFile(java.lang.String arg0)`
`java.io.File` | `resolveFile(java.lang.String arg0, java.io.File arg1)`
`void` | `setBaseDir(java.io.File arg0)`
`void` | `setBasedir(java.lang.String arg0)`
`void` | `setCoreLoader(java.lang.ClassLoader arg0)`
`void` | `setDefault(java.lang.String arg0)`
`void` | `setDefaultInputStream(java.io.InputStream arg0)`
`void` | `setDefaultTarget(java.lang.String arg0)`
`void` | `setDescription(java.lang.String arg0)`
`void` | `setExecutor(org.apache.tools.ant.Executor arg0)`
`void` | `setFileLastModified(java.io.File arg0, long arg1)`
`void` | `setInheritedProperty(java.lang.String arg0, java.lang.String arg1)`
`void` | `setInputHandler(org.apache.tools.ant.input.InputHandler arg0)`
`void` | `setJavaVersionProperty()`
`void` | `setKeepGoingMode(boolean arg0)`
`void` | `setName(java.lang.String arg0)`
`void` | `setNewProperty(java.lang.String arg0, java.lang.String arg1)`
`void` | `setProperty(java.lang.String arg0, java.lang.String arg1)`
`void` | `setSystemProperties()`
`void` | `setUserProperty(java.lang.String arg0, java.lang.String arg1)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.tools.ant.Project
`fireMessageLogged, fireMessageLogged, fireMessageLogged, fireTargetFinished, fireTargetStarted, fireTaskFinished, fireTaskStarted, getJavaVersion, setProjectReference, toBoolean, topoSort, topoSort, topoSort, translatePath`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProjectDelegate

    public ProjectDelegate(org.apache.tools.ant.Project delegate)

Method Detail

### getSubproject

    public org.apache.tools.ant.Project getSubproject()

### addBuildListener

    public void addBuildListener(org.apache.tools.ant.BuildListener arg0)

  Overrides:
    `addBuildListener` in class `org.apache.tools.ant.Project`

### addDataTypeDefinition

    public void addDataTypeDefinition(java.lang.String arg0,
                                      java.lang.Class arg1)

  Overrides:
    `addDataTypeDefinition` in class `org.apache.tools.ant.Project`

### addFilter

    public void addFilter(java.lang.String arg0,
                          java.lang.String arg1)

  Overrides:
    `addFilter` in class `org.apache.tools.ant.Project`

### addOrReplaceTarget

    public void addOrReplaceTarget(java.lang.String arg0,
                                   org.apache.tools.ant.Target arg1)

  Overrides:
    `addOrReplaceTarget` in class `org.apache.tools.ant.Project`

### addOrReplaceTarget

    public void addOrReplaceTarget(org.apache.tools.ant.Target arg0)

  Overrides:
    `addOrReplaceTarget` in class `org.apache.tools.ant.Project`

### addReference

    public void addReference(java.lang.String arg0,
                             java.lang.Object arg1)

  Overrides:
    `addReference` in class `org.apache.tools.ant.Project`

### addTarget

    public void addTarget(java.lang.String arg0,
                          org.apache.tools.ant.Target arg1)
                   throws org.apache.tools.ant.BuildException

  Overrides:
    `addTarget` in class `org.apache.tools.ant.Project`
  Throws:
    `org.apache.tools.ant.BuildException`

### addTarget

    public void addTarget(org.apache.tools.ant.Target arg0)
                   throws org.apache.tools.ant.BuildException

  Overrides:
    `addTarget` in class `org.apache.tools.ant.Project`
  Throws:
    `org.apache.tools.ant.BuildException`

### addTaskDefinition

    public void addTaskDefinition(java.lang.String arg0,
                                  java.lang.Class arg1)
                           throws org.apache.tools.ant.BuildException

  Overrides:
    `addTaskDefinition` in class `org.apache.tools.ant.Project`
  Throws:
    `org.apache.tools.ant.BuildException`

### checkTaskClass

    public void checkTaskClass(java.lang.Class arg0)
                        throws org.apache.tools.ant.BuildException

  Overrides:
    `checkTaskClass` in class `org.apache.tools.ant.Project`
  Throws:
    `org.apache.tools.ant.BuildException`

### copyFile

    public void copyFile(java.io.File arg0,
                         java.io.File arg1,
                         boolean arg2,
                         boolean arg3,
                         boolean arg4)
                  throws java.io.IOException

  Overrides:
    `copyFile` in class `org.apache.tools.ant.Project`
  Throws:
    `java.io.IOException`

### copyFile

    public void copyFile(java.io.File arg0,
                         java.io.File arg1,
                         boolean arg2,
                         boolean arg3)
                  throws java.io.IOException

  Overrides:
    `copyFile` in class `org.apache.tools.ant.Project`
  Throws:
    `java.io.IOException`

### copyFile

    public void copyFile(java.io.File arg0,
                         java.io.File arg1,
                         boolean arg2)
                  throws java.io.IOException

  Overrides:
    `copyFile` in class `org.apache.tools.ant.Project`
  Throws:
    `java.io.IOException`

### copyFile

    public void copyFile(java.io.File arg0,
                         java.io.File arg1)
                  throws java.io.IOException

  Overrides:
    `copyFile` in class `org.apache.tools.ant.Project`
  Throws:
    `java.io.IOException`

### copyFile

    public void copyFile(java.lang.String arg0,
                         java.lang.String arg1,
                         boolean arg2,
                         boolean arg3,
                         boolean arg4)
                  throws java.io.IOException

  Overrides:
    `copyFile` in class `org.apache.tools.ant.Project`
  Throws:
    `java.io.IOException`

### copyFile

    public void copyFile(java.lang.String arg0,
                         java.lang.String arg1,
                         boolean arg2,
                         boolean arg3)
                  throws java.io.IOException

  Overrides:
    `copyFile` in class `org.apache.tools.ant.Project`
  Throws:
    `java.io.IOException`

### copyFile

    public void copyFile(java.lang.String arg0,
                         java.lang.String arg1,
                         boolean arg2)
                  throws java.io.IOException

  Overrides:
    `copyFile` in class `org.apache.tools.ant.Project`
  Throws:
    `java.io.IOException`

### copyFile

    public void copyFile(java.lang.String arg0,
                         java.lang.String arg1)
                  throws java.io.IOException

  Overrides:
    `copyFile` in class `org.apache.tools.ant.Project`
  Throws:
    `java.io.IOException`

### copyInheritedProperties

    public void copyInheritedProperties(org.apache.tools.ant.Project arg0)

  Overrides:
    `copyInheritedProperties` in class `org.apache.tools.ant.Project`

### copyUserProperties

    public void copyUserProperties(org.apache.tools.ant.Project arg0)

  Overrides:
    `copyUserProperties` in class `org.apache.tools.ant.Project`

### createClassLoader

    public org.apache.tools.ant.AntClassLoader createClassLoader(org.apache.tools.ant.types.Path arg0)

  Overrides:
    `createClassLoader` in class `org.apache.tools.ant.Project`

### createDataType

    public java.lang.Object createDataType(java.lang.String arg0)
                                    throws org.apache.tools.ant.BuildException

  Overrides:
    `createDataType` in class `org.apache.tools.ant.Project`
  Throws:
    `org.apache.tools.ant.BuildException`

### createTask

    public org.apache.tools.ant.Task createTask(java.lang.String arg0)
                                         throws org.apache.tools.ant.BuildException

  Overrides:
    `createTask` in class `org.apache.tools.ant.Project`
  Throws:
    `org.apache.tools.ant.BuildException`

### defaultInput

    public int defaultInput(byte[] arg0,
                            int arg1,
                            int arg2)
                     throws java.io.IOException

  Overrides:
    `defaultInput` in class `org.apache.tools.ant.Project`
  Throws:
    `java.io.IOException`

### demuxFlush

    public void demuxFlush(java.lang.String arg0,
                           boolean arg1)

  Overrides:
    `demuxFlush` in class `org.apache.tools.ant.Project`

### demuxInput

    public int demuxInput(byte[] arg0,
                          int arg1,
                          int arg2)
                   throws java.io.IOException

  Overrides:
    `demuxInput` in class `org.apache.tools.ant.Project`
  Throws:
    `java.io.IOException`

### demuxOutput

    public void demuxOutput(java.lang.String arg0,
                            boolean arg1)

  Overrides:
    `demuxOutput` in class `org.apache.tools.ant.Project`

### equals

    public boolean equals(java.lang.Object arg0)

  Overrides:
    `equals` in class `java.lang.Object`

### executeSortedTargets

    public void executeSortedTargets(java.util.Vector arg0)
                              throws org.apache.tools.ant.BuildException

  Overrides:
    `executeSortedTargets` in class `org.apache.tools.ant.Project`
  Throws:
    `org.apache.tools.ant.BuildException`

### executeTarget

    public void executeTarget(java.lang.String arg0)
                       throws org.apache.tools.ant.BuildException

  Overrides:
    `executeTarget` in class `org.apache.tools.ant.Project`
  Throws:
    `org.apache.tools.ant.BuildException`

### executeTargets

    public void executeTargets(java.util.Vector arg0)
                        throws org.apache.tools.ant.BuildException

  Overrides:
    `executeTargets` in class `org.apache.tools.ant.Project`
  Throws:
    `org.apache.tools.ant.BuildException`

### fireBuildFinished

    public void fireBuildFinished(java.lang.Throwable arg0)

  Overrides:
    `fireBuildFinished` in class `org.apache.tools.ant.Project`

### fireBuildStarted

    public void fireBuildStarted()

  Overrides:
    `fireBuildStarted` in class `org.apache.tools.ant.Project`

### fireSubBuildFinished

    public void fireSubBuildFinished(java.lang.Throwable arg0)

  Overrides:
    `fireSubBuildFinished` in class `org.apache.tools.ant.Project`

### fireSubBuildStarted

    public void fireSubBuildStarted()

  Overrides:
    `fireSubBuildStarted` in class `org.apache.tools.ant.Project`

### getBaseDir

    public java.io.File getBaseDir()

  Overrides:
    `getBaseDir` in class `org.apache.tools.ant.Project`

### getBuildListeners

    public java.util.Vector getBuildListeners()

  Overrides:
    `getBuildListeners` in class `org.apache.tools.ant.Project`

### getCoreLoader

    public java.lang.ClassLoader getCoreLoader()

  Overrides:
    `getCoreLoader` in class `org.apache.tools.ant.Project`

### getDataTypeDefinitions

    public java.util.Hashtable getDataTypeDefinitions()

  Overrides:
    `getDataTypeDefinitions` in class `org.apache.tools.ant.Project`

### getDefaultInputStream

    public java.io.InputStream getDefaultInputStream()

  Overrides:
    `getDefaultInputStream` in class `org.apache.tools.ant.Project`

### getDefaultTarget

    public java.lang.String getDefaultTarget()

  Overrides:
    `getDefaultTarget` in class `org.apache.tools.ant.Project`

### getDescription

    public java.lang.String getDescription()

  Overrides:
    `getDescription` in class `org.apache.tools.ant.Project`

### getElementName

    public java.lang.String getElementName(java.lang.Object arg0)

  Overrides:
    `getElementName` in class `org.apache.tools.ant.Project`

### getExecutor

    public org.apache.tools.ant.Executor getExecutor()

  Overrides:
    `getExecutor` in class `org.apache.tools.ant.Project`

### getFilters

    public java.util.Hashtable getFilters()

  Overrides:
    `getFilters` in class `org.apache.tools.ant.Project`

### getGlobalFilterSet

    public org.apache.tools.ant.types.FilterSet getGlobalFilterSet()

  Overrides:
    `getGlobalFilterSet` in class `org.apache.tools.ant.Project`

### getInputHandler

    public org.apache.tools.ant.input.InputHandler getInputHandler()

  Overrides:
    `getInputHandler` in class `org.apache.tools.ant.Project`

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `org.apache.tools.ant.Project`

### getProperties

    public java.util.Hashtable getProperties()

  Overrides:
    `getProperties` in class `org.apache.tools.ant.Project`

### getProperty

    public java.lang.String getProperty(java.lang.String arg0)

  Overrides:
    `getProperty` in class `org.apache.tools.ant.Project`

### getReference

    public java.lang.Object getReference(java.lang.String arg0)

  Overrides:
    `getReference` in class `org.apache.tools.ant.Project`

### getReferences

    public java.util.Hashtable getReferences()

  Overrides:
    `getReferences` in class `org.apache.tools.ant.Project`

### getTargets

    public java.util.Hashtable getTargets()

  Overrides:
    `getTargets` in class `org.apache.tools.ant.Project`

### getTaskDefinitions

    public java.util.Hashtable getTaskDefinitions()

  Overrides:
    `getTaskDefinitions` in class `org.apache.tools.ant.Project`

### getThreadTask

    public org.apache.tools.ant.Task getThreadTask(java.lang.Thread arg0)

  Overrides:
    `getThreadTask` in class `org.apache.tools.ant.Project`

### getUserProperties

    public java.util.Hashtable getUserProperties()

  Overrides:
    `getUserProperties` in class `org.apache.tools.ant.Project`

### getUserProperty

    public java.lang.String getUserProperty(java.lang.String arg0)

  Overrides:
    `getUserProperty` in class `org.apache.tools.ant.Project`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### init

    public void init()
              throws org.apache.tools.ant.BuildException

  Overrides:
    `init` in class `org.apache.tools.ant.Project`
  Throws:
    `org.apache.tools.ant.BuildException`

### initSubProject

    public void initSubProject(org.apache.tools.ant.Project arg0)

  Overrides:
    `initSubProject` in class `org.apache.tools.ant.Project`

### isKeepGoingMode

    public boolean isKeepGoingMode()

  Overrides:
    `isKeepGoingMode` in class `org.apache.tools.ant.Project`

### log

    public void log(java.lang.String arg0,
                    int arg1)

  Overrides:
    `log` in class `org.apache.tools.ant.Project`

### log

    public void log(java.lang.String arg0)

  Overrides:
    `log` in class `org.apache.tools.ant.Project`

### log

    public void log(org.apache.tools.ant.Target arg0,
                    java.lang.String arg1,
                    int arg2)

  Overrides:
    `log` in class `org.apache.tools.ant.Project`

### log

    public void log(org.apache.tools.ant.Task arg0,
                    java.lang.String arg1,
                    int arg2)

  Overrides:
    `log` in class `org.apache.tools.ant.Project`

### registerThreadTask

    public void registerThreadTask(java.lang.Thread arg0,
                                   org.apache.tools.ant.Task arg1)

  Overrides:
    `registerThreadTask` in class `org.apache.tools.ant.Project`

### removeBuildListener

    public void removeBuildListener(org.apache.tools.ant.BuildListener arg0)

  Overrides:
    `removeBuildListener` in class `org.apache.tools.ant.Project`

### replaceProperties

    public java.lang.String replaceProperties(java.lang.String arg0)
                                       throws org.apache.tools.ant.BuildException

  Overrides:
    `replaceProperties` in class `org.apache.tools.ant.Project`
  Throws:
    `org.apache.tools.ant.BuildException`

### resolveFile

    public java.io.File resolveFile(java.lang.String arg0,
                                    java.io.File arg1)

  Overrides:
    `resolveFile` in class `org.apache.tools.ant.Project`

### resolveFile

    public java.io.File resolveFile(java.lang.String arg0)

  Overrides:
    `resolveFile` in class `org.apache.tools.ant.Project`

### setBaseDir

    public void setBaseDir(java.io.File arg0)
                    throws org.apache.tools.ant.BuildException

  Overrides:
    `setBaseDir` in class `org.apache.tools.ant.Project`
  Throws:
    `org.apache.tools.ant.BuildException`

### setBasedir

    public void setBasedir(java.lang.String arg0)
                    throws org.apache.tools.ant.BuildException

  Overrides:
    `setBasedir` in class `org.apache.tools.ant.Project`
  Throws:
    `org.apache.tools.ant.BuildException`

### setCoreLoader

    public void setCoreLoader(java.lang.ClassLoader arg0)

  Overrides:
    `setCoreLoader` in class `org.apache.tools.ant.Project`

### setDefault

    public void setDefault(java.lang.String arg0)

  Overrides:
    `setDefault` in class `org.apache.tools.ant.Project`

### setDefaultInputStream

    public void setDefaultInputStream(java.io.InputStream arg0)

  Overrides:
    `setDefaultInputStream` in class `org.apache.tools.ant.Project`

### setDefaultTarget

    public void setDefaultTarget(java.lang.String arg0)

  Overrides:
    `setDefaultTarget` in class `org.apache.tools.ant.Project`

### setDescription

    public void setDescription(java.lang.String arg0)

  Overrides:
    `setDescription` in class `org.apache.tools.ant.Project`

### setExecutor

    public void setExecutor(org.apache.tools.ant.Executor arg0)

  Overrides:
    `setExecutor` in class `org.apache.tools.ant.Project`

### setFileLastModified

    public void setFileLastModified(java.io.File arg0,
                                    long arg1)
                             throws org.apache.tools.ant.BuildException

  Overrides:
    `setFileLastModified` in class `org.apache.tools.ant.Project`
  Throws:
    `org.apache.tools.ant.BuildException`

### setInheritedProperty

    public void setInheritedProperty(java.lang.String arg0,
                                     java.lang.String arg1)

  Overrides:
    `setInheritedProperty` in class `org.apache.tools.ant.Project`

### setInputHandler

    public void setInputHandler(org.apache.tools.ant.input.InputHandler arg0)

  Overrides:
    `setInputHandler` in class `org.apache.tools.ant.Project`

### setJavaVersionProperty

    public void setJavaVersionProperty()
                                throws org.apache.tools.ant.BuildException

  Overrides:
    `setJavaVersionProperty` in class `org.apache.tools.ant.Project`
  Throws:
    `org.apache.tools.ant.BuildException`

### setKeepGoingMode

    public void setKeepGoingMode(boolean arg0)

  Overrides:
    `setKeepGoingMode` in class `org.apache.tools.ant.Project`

### setName

    public void setName(java.lang.String arg0)

  Overrides:
    `setName` in class `org.apache.tools.ant.Project`

### setNewProperty

    public void setNewProperty(java.lang.String arg0,
                               java.lang.String arg1)

  Overrides:
    `setNewProperty` in class `org.apache.tools.ant.Project`

### setProperty

    public void setProperty(java.lang.String arg0,
                            java.lang.String arg1)

  Overrides:
    `setProperty` in class `org.apache.tools.ant.Project`

### setSystemProperties

    public void setSystemProperties()

  Overrides:
    `setSystemProperties` in class `org.apache.tools.ant.Project`

### setUserProperty

    public void setUserProperty(java.lang.String arg0,
                                java.lang.String arg1)

  Overrides:
    `setUserProperty` in class `org.apache.tools.ant.Project`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD